import jQuery from 'jquery';

/**
 * Prevents further propagation of the current event in the capturing and bubbling phases
 */
jQuery(function () {
	const elementor = (window as any).elementor;

	class HulkFfefRepeaterControl extends elementor.modules.controls.Repeater {
		onButtonAddRowClick(e: any) {
			e?.stopPropagation();
			super.onButtonAddRowClick();
		}
	}

	elementor.addControlView('repeater', HulkFfefRepeaterControl);
});
